package eu.eudat.data.dao.criteria;

import eu.eudat.data.entities.DMP;
import eu.eudat.types.project.ProjectStateType;

import java.util.List;
import java.util.UUID;

public class DataManagementPlanPublicCriteria extends Criteria<DMP> {
    private ProjectStateType projectStatus;
    private List<UUID> projects;
    public List<UUID> datasetProfile;
    private List<String> dmpOrganisations;

    public ProjectStateType getProjectStatus() {
        return projectStatus;
    }
    public void setProjectStatus(ProjectStateType projectStatus) {
        this.projectStatus = projectStatus;
    }

    public List<UUID> getProjects() {
        return projects;
    }
    public void setProjects(List<UUID> projects) {
        this.projects = projects;
    }

    public List<UUID> getDatasetProfile() {
        return datasetProfile;
    }
    public void setDatasetProfile(List<UUID> datasetProfile) {
        this.datasetProfile = datasetProfile;
    }

    public List<String> getDmpOrganisations() {
        return dmpOrganisations;
    }
    public void setDmpOrganisations(List<String> dmpOrganisations) {
        this.dmpOrganisations = dmpOrganisations;
    }
}
