import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { DmpListingModel } from '../../../core/model/dmp/dmp-listing';

@Component({
	selector: 'app-explore-dmp-listing-item-component',
	templateUrl: './explore-dmp-listing-item.component.html',
	styleUrls: ['./explore-dmp-listing-item.component.scss'],
})
export class ExploreDmpListingItemComponent implements OnInit {

	@Input() dmp: DmpListingModel;
	@Input() showDivider: boolean = true;
	@Output() onClick: EventEmitter<DmpListingModel> = new EventEmitter();

	constructor(

	) {
	}

	ngOnInit() {
	}

	itemClicked() {
		this.onClick.emit(this.dmp);
	}
}
